(* $Id: godi_boot.ml 680 2007-02-25 20:35:07Z gerd $ *)

let is_bootconsole = ref false
  (* is set to [true] in the main program of the boot console *)

let stage() =
  if !is_bootconsole then
    try
      match Sys.getenv "GODI_BOOT_STAGE" with
	| "stage0" -> `Stage0
	    (* i.e. nothing is installed yet *)
	| "stage1" -> `Stage1
	    (* stage1 of bootstrap is completed, i.e. a preliminary
               version is installed
             *)
	| _ ->
	    failwith "Bad value of env var GODI_BOOT_STAGE"
    with
      | Not_found ->
	  failwith "Env var GODI_BOOT_STAGE is unset"
  else
    `Complete
